
From: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>

CONFIG_GPROF depends on the fact that TT mode is disabled.  I just verified
this, and this dependency already exists in UML/2.4.

Signed-off-by: Paolo 'Blaisorblade' Giarrusso <blaisorblade@yahoo.it>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/Kconfig.debug |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/um/Kconfig.debug~uml-gprof-depends-on-tt arch/um/Kconfig.debug
--- 25/arch/um/Kconfig.debug~uml-gprof-depends-on-tt	Wed Mar 30 15:55:45 2005
+++ 25-akpm/arch/um/Kconfig.debug	Wed Mar 30 15:55:45 2005
@@ -16,7 +16,7 @@ config PT_PROXY
 
 config GPROF
 	bool "Enable gprof support"
-	depends on DEBUG_INFO && MODE_SKAS
+	depends on DEBUG_INFO && MODE_SKAS && !MODE_TT
 	help
         This allows profiling of a User-Mode Linux kernel with the gprof
         utility.
_
